Subject: bug#34186: 26.1; locking up

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jan 2019 16:45:56 +0200

> From: Michael Menefee <[email-masked]>
> Date: Wed, 23 Jan 2019 10:24:09 -0600
> 
> Editing a C header file, I type
> '#define AVL_iter(' and it locks up consistently and has to be killed
> from another terminal, with CPU at 100%.

I cannot reproduce this.  Does the buffer contain anything else in
addition to the text you've shown?  Does it happen in "emacs -Q"?

I invoked "emacs -Q", then typed

  C-x C-f headerhang.h
  #define AVL_iter(

At that point, Emacs was responsive as I'd expect.  Are you doing the
same to reproduce the problem?

Thanks.